GDCM: gdcm::WLMFindQuery Class Reference

GDCM 3.2.7

Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::WLMFindQuery Class Reference

PatientRootQuery. More...

`#include <gdcmWLMFindQuery.h>`

Inheritance diagram for gdcm::WLMFindQuery:
[legend]
Collaboration diagram for gdcm::WLMFindQuery:
[legend]

## Public Member Functions
| WLMFindQuery ()
UIDs::TSName | GetAbstractSyntaxUID () const override
std::vector< Tag > | GetTagListByLevel (const EQueryLevel &inQueryLevel) override
void | InitializeDataSet (const EQueryLevel &inQueryLevel) override
bool | ValidateQuery (bool inStrict=true) const override
Public Member Functions inherited from gdcm::BaseRootQuery
| ~BaseRootQuery () override=default
EQueryLevel | GetQueryLevelFromQueryRoot (ERootType roottype)
Public Member Functions inherited from gdcm::BaseQuery
| ~BaseQuery () override
void | AddQueryDataSet (const DataSet &ds)
DataSet & | GetQueryDataSet ()
DataSet const & | GetQueryDataSet () const
| Set/Get the internal representation of the query as a DataSet.
std::string | GetSOPInstanceUID () const
void | Print (std::ostream &os) const override
void | SetSearchParameter (const std::string &inKeyword, const std::string &inValue)
void | SetSearchParameter (const Tag &inTag, const std::string &inValue)
void | SetSOPInstanceUID (const std::string &iSopInstanceUID)
const std::ostream & | WriteHelpFile (std::ostream &os)
bool | WriteQuery (const std::string &inFileName)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Protected Member Functions
DataSet | GetValidDataSet () const
Protected Member Functions inherited from gdcm::BaseRootQuery
| BaseRootQuery ()
Protected Member Functions inherited from gdcm::BaseQuery
| BaseQuery ()
void | SetSearchParameter (const Tag &inTag, const DictEntry &inDictEntry, const std::string &inValue)
bool | ValidDataSet (const DataSet &dataSetToValid, const DataSet &dataSetReference) const
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Friends
class | QueryFactory

## Additional Inherited Members
Static Public Member Functions inherited from gdcm::BaseRootQuery
static QueryBase * | Construct (ERootType inRootType, EQueryLevel qlevel)
static int | GetQueryLevelFromString (const char *str)
static const char * | GetQueryLevelString (EQueryLevel ql)
Protected Attributes inherited from gdcm::BaseRootQuery
std::string | mHelpDescription
QueryImage | mImage
QueryPatient | mPatient
ERootType | mRootType
QuerySeries | mSeries
QueryStudy | mStudy
Protected Attributes inherited from gdcm::BaseQuery
DataSet | mDataSet
std::string | mSopInstanceUID

## Detailed Description

PatientRootQuery.

contains: the class which will produce a dataset for c-find with patient root

## Constructor & Destructor Documentation

## ◆ WLMFindQuery()

gdcm::WLMFindQuery::WLMFindQuery | ( |  | ) |

## Member Function Documentation

## ◆ GetAbstractSyntaxUID()

UIDs::TSName gdcm::WLMFindQuery::GetAbstractSyntaxUID | ( |  | ) | const
| overridevirtual

Implements gdcm::BaseQuery.

## ◆ GetTagListByLevel()

std::vector< Tag > gdcm::WLMFindQuery::GetTagListByLevel | ( | const EQueryLevel & | inQueryLevel | ) |
| overridevirtual

this function will return all tags at a given query level, so that they maybe selected for searching. The boolean forFind is true if the query is a find query, or false for a move query.

Implements gdcm::BaseRootQuery.

## ◆ GetValidDataSet()

DataSet gdcm::WLMFindQuery::GetValidDataSet | ( |  | ) | const
| protected

## ◆ InitializeDataSet()

void gdcm::WLMFindQuery::InitializeDataSet | ( | const EQueryLevel & | inQueryLevel | ) |
| overridevirtual

this function sets tag 8,52 to the appropriate value based on query level also fills in the right unique tags, as per the standard's requirements should allow for connection with dcmtk

Implements gdcm::BaseRootQuery.

## ◆ ValidateQuery()

bool gdcm::WLMFindQuery::ValidateQuery | ( | bool | inStrict = true | ) | const
| overridevirtual

have to be able to ensure that 0x8,0x52 is set (which will be true if InitializeDataSet is called...) that the level is appropriate (ie, not setting PATIENT for a study query that the tags in the query match the right level (either required, unique, optional) by default, this function checks to see if the query is for finding, which is more permissive than for moving. For moving, only the unique tags are allowed. 10 Jan 2011: adding in the 'strict' mode. according to the standard (at least, how I've read it), only tags for a particular level should be allowed in a particular query (ie, just series level tags in a series level query). However, it seems that dcm4chee doesn't share that interpretation. So, if 'inStrict' is false, then tags from the current level and all higher levels are now considered valid. So, if you're doing a non-strict series-level query, tags from the patient and study level can be passed along as well.

Implements gdcm::BaseRootQuery.

## Friends And Related Symbol Documentation

## ◆ QueryFactory

friend class QueryFactory
| friend

References QueryFactory.

Referenced by QueryFactory.

The documentation for this class was generated from the following file:

- gdcmWLMFindQuery.h